Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[TOOL]-Unclepine-Recursive Unmerge & Cleaning Tool _b18
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Mon Mar 14, 2005 12:28 pm    Post subject: Reply with quote

beta17 out

bug fix for "portage mode" only

from Unclepine 0.1_beta16

Code:

unclepine -cn


to have a "wget" output for downloading

Sorry for frequent update...
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
GaMMa
l33t
l33t


Joined: 23 Aug 2002
Posts: 684
Location: USA

PostPosted: Tue Mar 15, 2005 7:59 am    Post subject: Reply with quote

Just wanted to say great script, and keep up the good work. I removed 28 packages that I no longer needed. I still have a huge world file though :(.
_________________
Ubuntu Linux Dapper Drake running Gnome-2.14.1
[Website | Screenshot | Portage Guide]
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Tue Mar 15, 2005 12:41 pm    Post subject: Reply with quote

happy to hear this from you :)

anyway... i discovered 2 bugs.

beta18 released!


from unclepine >=beta16

Code:

unclepine -cn > update
. update


i'm really sorry for frequent update.. :roll:
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
Cintra
Advocate
Advocate


Joined: 03 Apr 2004
Posts: 2111
Location: Norway

PostPosted: Tue Mar 15, 2005 1:43 pm    Post subject: Reply with quote

xchris wrote:

i'm really sorry for frequent update.. :roll:


we love updates! :-D
well, not toolchain ones perhaps...
mvh
_________________
"I am not bound to please thee with my answers" W.S.
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4117
Location: Removed by Neddy

PostPosted: Wed Mar 16, 2005 7:05 pm    Post subject: Reply with quote

updates show that this great tool is still going places - take "dep"
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Fri Mar 18, 2005 6:15 pm    Post subject: Reply with quote

Hi there,

I havent yet problems with unclepine. But there is new situation with KDE 3.4. Gentoo developers offer now splitted ebuilds. So I emerged kdebase-meta (+- 44 packages) becouse I didn know wheather this or that is important for me. From other KDE packages like kdegraphics, kdemultimedia and other I emerged only few, which I need. :D

But now I want get rid of some unneeded kdebase* ( knetattach, kpager, ktip, kfind, kpersonalizer ). So I unmerged them but after -avuD emerge want put them back. After unmerging kdebase-meta package, -avuD put back only kpersonalizer.
In next step I try unclepine:
Code:
# unclepine -u
Unlinked Packages: 28

        * app-text/xpdf-3.00-r8
        * dev-libs/fribidi-0.10.4
        * kde-base/drkonqi-3.4.0
        * kde-base/kappfinder-3.4.0
        * kde-base/kate-3.4.0
        * kde-base/kdcop-3.4.0
        * kde-base/kde-i18n-3.3.2 (W):  old slot
        * kde-base/kdebase-startkde-3.4.0
        * kde-base/kdebugdialog-3.4.0
        * kde-base/kdepasswd-3.4.0
        * kde-base/kdeprint-3.4.0
        * kde-base/kdesu-3.4.0
        * kde-base/kdialog-3.4.0
        * kde-base/khelpcenter-3.4.0
        * kde-base/khotkeys-3.4.0
        * kde-base/kicker-3.4.0
        * kde-base/klipper-3.4.0
        * kde-base/kmenuedit-3.4.0
        * kde-base/konsole-3.4.0
        * kde-base/kscreensaver-3.4.0
        * kde-base/kstart-3.4.0
        * kde-base/ksysguard-3.4.0
        * kde-base/ksystraycmd-3.4.0
        * kde-base/kxkb-3.4.0
        * kde-base/nsplugins-3.4.0
        * sys-devel/gcc-3.3.5-r1 (WS):  old slot
        * sys-kernel/gentoo-dev-sources-2.6.10-r6 (WS):  old slot
        * x11-libs/openmotif-2.2.3-r3

I am asking what you here thing about it. In found here on forum lots of people, who firts emerge meta packages and afterwards they are unmerging some unneeded. One guy try also emerge depclean and also with some result as me. Thank for you ideas or examines. :P
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Sat Mar 19, 2005 9:42 am    Post subject: Reply with quote

it's almost impossible to debug something like this.
You are talking about kde :)

Maybe send me a mail with

Code:

unclepine -u --debug > debug_file


bye :)

EDIT: if i understand what you're asking, i think your world file has some problems.
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Sat Mar 19, 2005 4:12 pm    Post subject: Reply with quote

Ok, I will try once more. I emerged kdebase-meta (<- I have saved one --pretend output). After some time I unmerged some packages, which come from kdebase-meta. If you need know which, emerge -pv kdebase-meta will show it. (little note - I reemerged kdebase-startkde today).

Here is unclepine -u --debug output. But kde packages it suggest to remove, I need. If I understand it right, they were emerged by kdebase-meta, so after unmerging meta they dont depent on anythig. Reemerging them (emerge kicker konsole khelpcenter) would fix it for me.

In my opinion: to keep "world file" in order, its not great idea to emerge meta packages and afterwards unmerge unneeded ones. Is this way to "hell"?
I know so many people who are emerging new kde such this way. So I would like to know the true and eventually let them know.
I am also sorry, whether I asked in wrong threat. But in my eyes, you are "expert" about world file and unmerging unneeded ebuild. Thanks
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Sat Mar 19, 2005 5:10 pm    Post subject: Reply with quote

ok now.. it's more clear :)

you emerged kde-meta,then removed some packages.

As you can see you have not kde-meta in your world file·...
so unclepine is right saying you have a lot of removable packages.

Solution?

take unclepine -u output,purge versions and then put packages you need directly in your world file.

example:

kde-base/konsole-3.4.0 -> append to world file kde-base/konsole (you can do this also by doing: emerge -u konsole)

do this for every package you need!

maybe you can do this by steps.... checking with unclepine!

Tell me if you have any other doubt!
bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Sat Mar 19, 2005 5:42 pm    Post subject: Reply with quote

Thanks xchris,
now its clear for me, except appending some ebuilds dicetly to world. But I want to resolve this by myself, I need some readings ( I dont want your help here now ) :lol: .

One point to new meta packages I would like to say. In my case it was only about kdebase-meta. But portage now offers kde-meta (i thing more then 300 ebuilds = complete kde). So you can imagine, what it would do after unmerging some of them and typing emerge depclen. :D

One and last question. Some time ago I emerged gcc-3.4 due only one package. I only switch to 3.4 and emerged needed package and went back to gcc-3.3.5. Do you think, that is something wrong in my world file (or elsewhere), becouse unclepine sugest gcc-3.3.5 for removal, although I am still using it by default?
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Sun Mar 20, 2005 9:40 am    Post subject: Reply with quote

changing compiler doesn't change portage behaviour with world.
It's the same thing!

so... i would keep both compilers if that specific packages compiles only with 3.4

anyway i would do this way for your world "re-population"

Code:

unclepine -u -x | sed -e 's/-[0-9]/*/g' | cut -d"*" -f1 | tr -d "=" > checklist


You should have a list of packages without versions. (as category/application)

Now edit checklist and leave only packages you think that should go in world file.


Now you could do:

WARNING
Code:

cp /var/lib/portage/world /root/world_backup
cat checklist >> /var/lib/portage/world

WARNING

Double warning because this is potentialy dangerous!!
If you write a single > you will destroy your world file!!! put >>


hope it will help...
bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
kyle_p
n00b
n00b


Joined: 21 Mar 2005
Posts: 3

PostPosted: Mon Mar 21, 2005 8:18 am    Post subject: Reply with quote

I just did a unclepine -u and it said i have 219 unlinked packages... This cant be good. How would i got about fixing that?
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Mon Mar 21, 2005 8:31 am    Post subject: Reply with quote

probably your world file is messed up..

please inspect it and maybe let me know :)
bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
kyle_p
n00b
n00b


Joined: 21 Mar 2005
Posts: 3

PostPosted: Mon Mar 21, 2005 8:19 pm    Post subject: Reply with quote

Here is the contents of my world file, i dont quite understand the need to do somthing like depclean since it wants to remve tons of things i need. If it helps, i actaully installed vidalinux and did a emerge --newuse -e world and compiled a gentoo kernel. SO technically i am running gentoo? Ahh all this stuff is confusing :lol:


games-fps/postal2mpdemo
media-sound/alsa-utils
sys-process/vixie-cron
x11-misc/xscreensaver
games-fps/rott
media-sound/id3
x11-libs/ewl
media-libs/edje
app-text/ghostscript
app-office/openoffice-ximian
sys-fs/udev
x11-base/xorg-x11
dev-python/gnome-python
sys-kernel/linux26-headers
media-libs/epeg
sys-apps/pciutils
dev-libs/dietlibc
gnome-extra/gdesklets-core
sys-apps/hwsetup
sys-boot/grub
app-admin/syslog-ng
x11-wm/fluxbox
dev-db/edb
x11-terms/aterm
media-video/nvidia-glx
dev-python/pycrash
sys-fs/reiserfsprogs
sys-apps/hwdata-knoppix
media-libs/epsilon
x11-libs/ecore
games-fps/americas-army
app-portage/porthole
x11-misc/entrance
dev-lang/tcl
media-sound/xmms
media-gfx/gimp
net-p2p/amule
dev-lang/tk
net-misc/dhcpcd
sys-apps/lm_sensors
app-portage/gentoolkit-dev
sys-libs/glibc
app-editors/nano
media-video/nvidia-kernel
sys-fs/reiser4progs
x11-wm/xpde
dev-libs/DirectFB
x11-libs/evas
x11-plugins/desklet-starterbar
app-editors/vim
media-sound/vorbis-tools
dev-util/pkgconfig
x11-wm/e
media-plugins/xmms-crossfade
sys-kernel/vidalinux-sources
media-video/mplayer
dev-python/python-cdb
x11-wm/enlightenment
sys-apps/kudzu-knoppix
media-sound/amarok
net-im/amsn
media-libs/gdk-pixbuf
sys-kernel/genkernel
dev-python/pyorbit
sys-apps/module-init-tools
dev-libs/embryo
dev-util/ccache
net-im/gaim
dev-libs/eet
www-client/opera
www-client/dillo
app-misc/evidence
dev-python/pygtk
dev-java/sun-jre-bin
media-plugins/xmms-alsa
media-libs/imlib2
games-fps/doom3-demo
sys-devel/prelink
media-libs/etox
games-fps/enemy-territory-truecombat
sys-apps/slocate
net-www/mozilla
dev-libs/newt
x11-libs/esmart
www-client/mozilla-firefox
sys-libs/slang
dev-python/pyxml
kde-base/kde
media-libs/libogg
net-libs/linc
app-portage/gentoolkit
app-emulation/cedega
gnome-extra/hal-device-manager
app-admin/gnomesu
sys-apps/hotplug
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Mon Mar 21, 2005 11:27 pm    Post subject: Reply with quote

you should send me an output of unclepine in debug mode (via mail)
Code:

unclepine -u --debug > debug_mail


i cannot tell you anything without any kind of information!
best way is to send me this debug :)

otherwise post at least a part of packages that unclepine wants to remove that you think should not be removed.

As I told before those problems come out because of incomplete world file.
(did you run an ACCEPT_KEYWORD="~x86" emerge whatever?)

bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
kyle_p
n00b
n00b


Joined: 21 Mar 2005
Posts: 3

PostPosted: Tue Mar 22, 2005 4:58 pm    Post subject: Reply with quote

Thanks for the help, buti acctually had to reinstall, and yea i was using ACCEPT_KEYWORDS="~x86" and im pretty sure that is what messed up my world file. I will try to do things right this time. Thanks
Back to top
View user's profile Send private message
mphilips
n00b
n00b


Joined: 09 Sep 2003
Posts: 49

PostPosted: Sun Apr 03, 2005 10:43 am    Post subject: Reply with quote

What I really want is a way to tell which packages are listed in world file but not actually installed - xchris, can you put on your mask and cape and come to my rescue?
Back to top
View user's profile Send private message
HomerSimpson
l33t
l33t


Joined: 25 Jan 2003
Posts: 869
Location: Ohio, USA

PostPosted: Sun Apr 03, 2005 6:29 pm    Post subject: Reply with quote

Thanks for the script.

I have had this install for over 2 years and when I ran unclepine -u I got a lot of:
!!! Critical Error
!!! You miss this file : /var/db/pkg/media-libs/glut-3.7.1/DEPEND
Type errors.

I "fixed" them by either re-emerging them or unmerging them. Some were just very old versions. Now when I run emerge -uDp world, it wants to re-emerge them. So there is still a dependency for them. I want to see what those are but it seems as though unclepine only works with the latest versions of a package. That is, I can do something like:
Code:
unclepine -du =libglade-0.17


I want to know how to get rid of this old version completely and whatever depends on it. Is this possible with unclepine?

Thx
_________________
The strong must protect the Sweet.
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Mon Apr 04, 2005 10:40 am    Post subject: Reply with quote

mphilips wrote:
What I really want is a way to tell which packages are listed in world file but not actually installed - xchris, can you put on your mask and cape and come to my rescue?


A simple bash script.
It will print entries which have 0 or more than one occurencies in "installed DB"

Code:

#!/bin/bash
source /sbin/functions.sh
einfo "Beginning world file scanning\n"

for x in `cat /var/lib/portage/world`
do
        #einfo "Analyze $x"
        NUM=`ls /var/db/pkg/$x* -d 2>/dev/null| grep -e "/var/db/pkg/$x-[0-9]" | wc -l | cut -d" " -f1`

        if [ ! "$NUM" -eq 1 ]
        then
                einfo "$NUM versions installed for $x"
        fi
done
echo
einfo "Done!"


HomerSimpson wrote:

I want to know how to get rid of this old version completely and whatever depends on it. Is this possible with unclepine?
Thx


just try

Code:

unclepine -db libglade
unclepine -db -su libglade


bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
HomerSimpson
l33t
l33t


Joined: 25 Jan 2003
Posts: 869
Location: Ohio, USA

PostPosted: Mon Apr 04, 2005 7:04 pm    Post subject: Reply with quote

OK. I feel stupid. The package has to be installed for this to work. I had uninstalled it thinking I didn't need it but since it wants to re-emerge it, I needed to re-emerge it to run unclepine to see if I could remove it. Thanks for the info. Now I have a problem where I can't compile these older packages to see if i can remove them. Doh!

Thanks
_________________
The strong must protect the Sweet.
Back to top
View user's profile Send private message
kaosone
Guru
Guru


Joined: 01 Feb 2004
Posts: 446

PostPosted: Sat Apr 16, 2005 8:49 pm    Post subject: Reply with quote

Code:

--------------- Starting Building Virtuals ----------------------

Traceback (most recent call last):
  File "/usr/local/bin/unclepine", line 1585, in ?
    main()
  File "/usr/local/bin/unclepine", line 1529, in main
    build_virtuals()
  File "/usr/local/bin/unclepine", line 1278, in build_virtuals
    os.path.walk(pkg_dir,virtuals_builder,'')
  File "/usr/lib/python2.3/posixpath.py", line 290, in walk
    walk(name, func, arg)
  File "/usr/lib/python2.3/posixpath.py", line 290, in walk
    walk(name, func, arg)
  File "/usr/lib/python2.3/posixpath.py", line 282, in walk
    func(arg, top, names)
  File "/usr/local/bin/unclepine", line 683, in virtuals_builder
    add_virtual_from_dep(dirname)
  File "/usr/local/bin/unclepine", line 630, in add_virtual_from_dep
    provide=read_dependencies_from_depdir(file_depdir,[13])[0]
  File "/usr/local/bin/unclepine", line 701, in read_dependencies_from_depdir
    results.append(dep_content[x].replace('(',' ( ').replace(')',' ) ').split())
IndexError: list index out of range


:(
gw btw :wink:
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Thu Apr 21, 2005 7:55 am    Post subject: Reply with quote

sorry for late response...
you should give more details...
or maybe sending me by mail -debug output!

Bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
LightEater
n00b
n00b


Joined: 10 Oct 2004
Posts: 38

PostPosted: Wed Apr 27, 2005 8:26 am    Post subject: Reply with quote

#unclepine -db media-libs/tunepim
Code:
Traceback (most recent call last):
  File "/usr/bin/unclepine", line 1585, in ?
    main()
  File "/usr/bin/unclepine", line 1529, in main
    build_virtuals()
  File "/usr/bin/unclepine", line 1278, in build_virtuals
    os.path.walk(pkg_dir,virtuals_builder,'')
  File "/usr/lib/python2.3/posixpath.py", line 290, in walk
    walk(name, func, arg)
  File "/usr/lib/python2.3/posixpath.py", line 290, in walk
    walk(name, func, arg)
  File "/usr/lib/python2.3/posixpath.py", line 282, in walk
    func(arg, top, names)
  File "/usr/bin/unclepine", line 683, in virtuals_builder
    add_virtual_from_dep(dirname)
  File "/usr/bin/unclepine", line 630, in add_virtual_from_dep
    provide=read_dependencies_from_depdir(file_depdir,[13])[0]
  File "/usr/bin/unclepine", line 701, in read_dependencies_from_depdir
    results.append(dep_content[x].replace('(',' ( ').replace(')',' ) ').split())
IndexError: list index out of range

However my portage is powered by CDB, as described here, this is propably the cause. Any chances of supporting other db modules?
_________________
I'd like to answer this question if I may in two ways: firstly in my normal voice and then in a kind of silly high-pitched whine.
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Thu Apr 28, 2005 10:57 am    Post subject: Reply with quote

i suggest to run it in "local" mode...

You can set it.. in the script..at the begining. (now set to "mix" mode)

anyway...
using it in "local" mode could lead into incorrect results (but consistent with your setup).

I try to explain better..

In local mode unclepine calculates deps only from /var/db/pkg.
You could experience some packages listed for removal which emerge wants them back.

I suggest always to do a "quickpkg" before removing.. so you could get it back fast with a "emerge -k"

Let me know :)
bye
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
Cintra
Advocate
Advocate


Joined: 03 Apr 2004
Posts: 2111
Location: Norway

PostPosted: Thu Apr 28, 2005 2:07 pm    Post subject: Reply with quote

Btw, qpkg can be found here now /usr/share/doc/gentoolkit-0.2.1_pre2/deprecated/qpkg
mvh
_________________
"I am not bound to please thee with my answers" W.S.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 5 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum